\input ucsplain

\def\title{CWEB의 한글화}
\def\topofcontents{\null\vfill
  \centerline{\hfontsize{at 14pt}{\ttitlefont CWEB}의 한글화}
  \vfill}

@* \.{CWEB}의 한글화. \.{CWEB} 프로그래밍에서 한글에 대한 지원이 보다 원활하다면,
현재보다 많은 사람들이 \.{CWEB}을 쉽게 접근 할 수 있고, 보다 편하게 프로그래밍 할 수 있을 것
같아서, 한글화 작업을 진행하고 있는데, 심각한 문제에 부딪혀 Karnes님의 도움이 절실히 
필요하기에 요청드립니다.

@ 사실 \.{CWEB}의 한글화 작업이라는 것이 대단한 것은 아니고, cweb 프로그램의 포멧 및
템플릿, 각종 control sequence들이 정의 되어있는 \.{cwebmac.tex}의 일부 멘트를 한글로
바꾸는 작업입니다. 예를 들어 각 섹션의 마지막에 나오는 ''See also section 1 and 2.''
혹은 ''This code is used in section 2.''와 같은 메시지를 '' 1번 과 2번 섹션을 참고
하세요'' 라든가 ''이 코드는 2번 섹션에서 사용됩니다.''와 같은 한글 문구로 바꾸는 것이지요.
이 외에도 몇가지 영어 문구를 한글로 바꾸는 작업입니다. 사실 이러한 작업은 매우 쉽습니다.

@ \.{CWEB} 프로그램은 {\sl section\/} 이라고 불리는 것들로 이루어져 있습니다. 
그리고 각 섹션은 \TEX/ part, middle part, \CEE/ part로 이루어져 있습니다. 재미있는 점은
섹션에서 위의 세가지 part 중 일부는 없어도 된다는 것입니다. 즉 어떤 섹션은 \TEX/ part만
있을 수도 있고, 어떤 섹션은 \CEE/ part만 있을 수도 있고, 또 어떤 섹션은 \TEX/ part와
\CEE/ part만 가지고 있을 수도 있다는 것입니다. 따라서 지금 이 글처럼
모든 섹션이 \TEX/ part만 가지고 있으면, 프로그래밍이라기 보다는 문서라고 할 수 있죠.

@ 질문에서 잠깐 다른 곳으로 빠진 것 같은데, 몇가지 영어 문구를 한글로 바꾸는 것은 문제 될것이
없는데, (사실은 이 외에도 신경 써야 할 것이 몇가지 있기는 합니다.) 제일 큰 문제점은
\.{CWEB} 프로그램을 pdf 파일로 만들 때, 북마크 라든가 하이퍼링크도 만들 수 있는데,
북마크에 한글이 안나온다는 점입니다. 참고로 \.{foo.w}라는 소스 파일에서 \.{foo.pdf}를
만드는 방법에는 여러가지가 있는데, \.{cweave foo}를 통해서 \.{foo.tex}을 만들고,
단순히
$$
\.{tex foo}
$$
라고 하고, 곧이어 \.{dvipdfmx foo} 하면, 북마크나 하이퍼링크가 없는 단순한 pdf가 만들어
집니다. 사실 이것 만으로도 멋진 문서를 만들어 낼 수 있습니다.

@ 하지만, \TEX/ 으로 컴파일 할때, 아래와 같은 명령어를 이용하면,
$$
\.{tex "\\let\\pdf+ \\input foo"}
$$
북마크나 하이퍼링크가 있는 더욱 멋지고 편리한 pdf 파일을 만들 수가 있습니다.

@ 저의 요청을 정리하면, ``북마크에서도 한글을 사용하고 싶다'' 입니다. 이를 위해서는
\.{cwebmac.tex} 파일의 해당하는 일부 control sequence를 재정의한 한글 cwebmac.tex 파일을
만들어야 할 것 같습니다. 북마크에서 한글을 시도하기 위해서
매크로 파일을 가지고 몇가지 테스트를 해보았지만, 아무 소용이 없었습니다. 현재 저의 \TEX/
지식이나 pdf에서의 한글 사용에 관한 지식으로는 이 문제를 해결하지 못하거나 하더라도 매우
오랜 시간이 걸릴 것 같다는 것입니다. 그래서 전문가인 Karnes님께 요청드립니다.

@ 이 이후의 섹션은 북마크에서 한글이 표시 안된다는 것을 보이기 위해 만들어 본것에 지나지 
않습니다.

@ 북마크를 보시면, 한글이 안나오고 영어만 나오는 것을 확인 하실 수 있을 것입니다.

@* \.{CWEB} programming is such fun.
@* 한글 Test.
@* 북마크에 한글이 전혀 안나옵니다.
@* Test 끝.
